# FreeScout

FreeScout is the super lightweight and powerful free open source help desk and shared inbox written in PHP (Laravel framework). It is a self hosted clone of HelpScout.

## Quick Reference
**URL**: [:octicons-tab-external-16: freescout.starcatsys.net](https://freescout.starcatsys.net)  
**Homepage**: [:octicons-link-external-16: freescout.net](https://freescout.net/)  
**Hosting**: [:octicons-arrow-right-16: PikaPods](../servers_and_hosting/pikapods.md) :flag_eu: `EU` 

## Modules
We are using the following FreeScout modules to extend functionality. See the internal handbook for license keys.

- [Mobile Notifications](https://freescout.net/module/mobile-notifications/)
- [Workflows](https://freescout.net/module/workflows/)
- [Ticket Number](https://freescout.net/module/ticket-number/)
- [API & Webhooks](https://freescout.net/module/api-webhooks/)
- [OAuth & Social Login](https://freescout.net/module/oauth-login/)
- [Discord Notifications](https://github.com/darktohka/FreescoutDiscordModule) (third-party)

## Mailboxes
FreeScout is set up to monitor email mailboxes for the following groups:

``` linenums="1"
StarCat Support <support@starcat.systems>
StarCat Billing <billing@starcat.systems>
StarCat Security <security@starcat.systems>
StarCat Abuse Response <abuse@starcat.systems>
DocsHub Support <support@docshub.io>
OpenHost Support <support@openho.st>
PostLine Support <support@postline.email>
SourceCamp Support <support@source.camp>
StageLink Support <support@stagelink.cloud>
```

## Templates
The following templates are used for mailbox signatures and auto-replies. Versions shown below are the raw HTML version, click on the :fontawesome-solid-code: button in the editor to switch to this view.

### Signature
Automatically inserted at the end of an email reply:

``` html linenums="1"
<div><br>– The {%mailbox.fromName%} Team</div>
```

### Auto Reply
#### Support + Billing
New emails to this mailbox will automatically receive this response:

**Subject:** `Message Received – {%subject%}`

``` html linenums="1"
<div>
<div>Hi there,</div>
<div><br></div>
<div>Thanks for reaching out! We’ve received your message and created a support ticket (#{%conversation.number%}). Our team will get back to you as soon as possible.</div>
<div><br></div>
<div>If you have anything else to add, just reply to this email -- it’ll go straight into the ticket.</div>
<div><br></div>
<div>Talk soon,</div>
<div>The {%mailbox.fromName%} Team</div>
</div>
```

#### Security
New emails to this mailbox will automatically receive this response:

**Subject:** `Security Report Received – {%subject%}`

``` html linenums="1"
<div>
<div>Hello,</div>
<div><br></div>
<div>Thank you for contacting us. We've received your message and created a ticket (#{%conversation.number%}) to track this issue. We will review your report and follow up with you as soon as possible.</div>
<div><br></div>
<div>If you have any additional information to share, please reply directly to this email -- it will be added to the ticket.</div>
<div><br></div>
<div>For secure communication, you can find our PGP key and related information here: <a href="https://about.starcat.systems/contact/security/" target="_blank">View our PGP key</a></div>
<div><br></div>
<div>We appreciate your help in keeping our systems secure.</div>
<div><br></div>
<div>Best regards,</div>
<div>The {%mailbox.fromName%} Team</div>
</div>
```

#### Abuse
New emails to this mailbox will automatically receive this response:

**Subject:** `Abuse Report Received – {%subject%}`

``` html linenums="1"
<div>
<div>Hello,</div>
<div><br></div>
<div>Thank you for reaching out. We've received your report and created a ticket (#{%conversation.number%}) to investigate the issue. We take abuse and misuse of our services seriously, and we’ll review your message as soon as possible.</div>
<div><br></div>
<div>For a faster response, we encourage you to submit non-DMCA abuse reports through our abuse form here: <a href="https://about.starcat.systems/contact/abuse/" target="_blank">Submit an abuse report</a></div><div><br></div>
<div>If you have any additional details, logs, or evidence to share, feel free to reply to this email -- it will be added directly to the ticket.</div>
<div><br></div>
<div>We appreciate your help in keeping our platform safe and responsible.</div>
<div><br></div>
<div>Best regards,</div>
<div>The {%mailbox.fromName%} Team</div>
</div>
```

## Additional Information
Please see the [:material-book-lock: FreeScout](https://internal-handbook.starcatsys.net/infrastructure_apps/communication/freescout/) page of the internal handbook for additional configuration and access information.