# Naming Conventions
To try and standardize things, aim to use the following naming conventions when assigning server hostnames, etc.

## Hostnames
Hostnames are assigned as follows:

```
env-category-(subservice)-(subdomain)-(##)
```

- `env`: the environment being hosted. Options are `prod`, `stg`, `dev`, `test`
- `category`: what is being hosted. Options are `pubinfra`, `intinfra`, or a specific product (`sourcecamp`, `casper`, `postline`, etc.)
- `subservice`: optional, used with `pubinfra` and `intinfra`. For shared infrastructure, what service(s) are being hosted. For example, `auth`, `accounts`, `portal`, etc.
- `subdomain`: optional, used for specific products. Identifies the specific user's instance that is being hosted.
- `##`: optional, typically used with `subservice`, when we might be running more than one server with the same category/criteria (for example, a monitoring server). To differentiate between servers, add a sequential number (starting at `01`) to each hostname. If the number is one digit, add a `0` buffer before.

So, for the StarCat Systems [:simple-forgejo: Git server](https://git.starcat.systems), the hostname is `prod-sourcecamp-starcatsys`. (`env`=`prod`, `category`=`sourcecamp`, `subservice`=empty, `subdomain`=`starcatsys`) Or, one of our monitoring servers is `prod-intinfra-monitoring-01`.